const suites = require('../suites/domjquery_suite')

var testML = '<blockquote>PRETEST</blockquote>'

suites.LittleDomWithTheJJSuite(
  'jQuery.fn.extend.adonMadStuff',
  '../../js/adon/adonMadStuff.js',
  testML,
  function() {
    it('does all kinds of mad stuff', done => {
      $('blockquote').adonMadStuff(true)
      $('blockquote')[0].should.have.class('adonMadStuff')
      $('blockquote')[0].should.have.class('adonMadStuffCol')
      $('blockquote')[0].should.not.have.class('madactive')
      $('blockquote')._adofMadStuff()
      $('blockquote')[0].should.not.have.class('adonMadStuff')
      $('blockquote')[0].should.not.have.class('adonMadStuffCol')
      $('blockquote')[0].should.not.have.class('madactive')
      done()
    })

    it('does color mad stuff only', done => {
      $('blockquote').adonMadStuff(false)
      $('blockquote')[0].should.not.have.class('adonMadStuff')
      $('blockquote')[0].should.have.class('adonMadStuffCol')
      $('blockquote')[0].should.not.have.class('madactive')
      $('blockquote')._adofMadStuff()
      $('blockquote')[0].should.not.have.class('adonMadStuff')
      $('blockquote')[0].should.not.have.class('adonMadStuffCol')
      $('blockquote')[0].should.not.have.class('madactive')
      done()
    })
  }
)
