const suites = require('../suites/domjquery_suite')

var testML = '<blockquote>PRETEST</blockquote>'

// This usefull shows the use of `expect`
suites.LittleDomWithTheJJSuite(
  'jQuery.fn.extend.adonToolBar',
  '../../js/adon/adonToolBar.js',
  testML,
  function() {
    it('setup and tear down', done => {
      $('blockquote').adonToolBar('fa-fire', true)
      expect($('.adonToolSlave').length).to.equal(1)
      expect($('.adonToolBar').length).to.equal(1)
      expect($('blockquote').length).to.equal(2)
      $('.adonToolBar')[0].should.have.class("slavehidden");
      $('.adonToolSlave')[0].should.have.class("slavehidden");
      done()
    })
    it('test click event', done => {
      $('blockquote').adonToolBar('fa-fire', true)
      $('.adonToolBar')[0].click()
      $('.adonToolBar')[0].should.not.have.class("slavehidden");
      $('.adonToolSlave')[0].should.not.have.class("slavehidden");
      $('.adonToolBar')[0].click()
      $('.adonToolBar')[0].should.have.class("slavehidden");
      $('.adonToolSlave')[0].should.have.class("slavehidden");
      done()
    })
  }
)
